Skip to main content
POST
/
core
/
devices
Register new device
curl --request POST \
  --url https://acusight.io/api/core/devices \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "device_id": "<string>",
  "auto_assign_to": 123,
  "name": "<string>",
  "virtual_config": {
    "event_frequency": 123,
    "event_types": "<string>",
    "loop": true,
    "max_concurrent_tracks": 123,
    "upload_frequency": 123
  }
}
'
{}

Authorizations

Authorization
string
header
required

JWT access token. Paste the token only; the Bearer prefix is added automatically.

Body

application/json

Device registration payload

device_id
string
required
auto_assign_to
integer
device_type
enum<string>
Available options:
physical,
virtual
name
string
virtual_config
object

Response

Device registered successfully

The response is of type object.